%define upstream_name    Dist-Zilla-Plugin-Repository
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Automatically sets repository URL from svn/svk/Git checkout for Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.102.340
BuildRequires: perl(Dist::Zilla::Tester) >= 4.102.340
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This module automatically sets repository URL from svn/svk/Git checkout
for Dist::Zilla.

The code is mostly a copy-paste of the Module::Install::Repository manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.240.0-4.mga10
+ Revision: 2205222
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.240.0-3.mga9
+ Revision: 1811146
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.240.0-2.mga8
+ Revision: 1521407
- Mageia 8 Mass Rebuild

* Fri Dec 21 2018 tv <tv> 0.240.0-1.mga7
+ Revision: 1344115
- update to 0.24

* Thu Sep 20 2018 umeabot <umeabot> 0.230.0-2.mga7
+ Revision: 1283304
- Mageia 7 Mass Rebuild

* Tue Jun 19 2018 tv <tv> 0.230.0-1.mga7
+ Revision: 1237991
- update to 0.23

* Wed Oct 04 2017 tv <tv> 0.210.0-1.mga7
+ Revision: 1168369
- update to 0.21

* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-6.mga6
+ Revision: 1026568
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.200.0-5.mga6
+ Revision: 970334
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0.200.0-4.mga6
+ Revision: 885955
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-3.mga5
+ Revision: 738829
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 jquelin <jquelin> 0.200.0-1.mga5
+ Revision: 596915
- update to 0.20

* Tue Feb 25 2014 jquelin <jquelin> 0.190.0-4.mga5
+ Revision: 596788
- fix for non-english locales (rt#93330)

* Fri Oct 18 2013 umeabot <umeabot> 0.190.0-3.mga4
+ Revision: 511136
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-2.mga3
+ Revision: 366422
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.190.0-1.mga3
+ Revision: 316047
- update to 0.19

* Wed Jun 15 2011 jquelin <jquelin> 0.180.0-1.mga2
+ Revision: 106880
- update to 0.18

* Sat Feb 26 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 60212
- update to 0.17

* Wed Jan 26 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 40573
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-Repository

